For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList records
      • POSTCreate record
      • POSTBulk delete records
      • POSTBulk edit records
      • GETExport records as CSV
      • GETGet field values
      • POSTPreview record filter
      • GETDiscover record schema
      • POSTUpload CSV records
      • GETGet record details
      • PUTUpdate record
      • DELDelete record
      • GETGet record costs
      • GETGet record results
      • DELDelete record result
      • GETGet record step results
Dashboard
LogoLogo
Runtype APIRecords

Discover record schema

GET
/v1/records/schema
GET
/v1/records/schema
$curl -G https://api.runtype.com/v1/records/schema \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d type=type
1{
2 "fields": [
3 {
4 "name": "email",
5 "type": "string",
6 "description": "User email address",
7 "required": true,
8 "example": "user@example.com"
9 },
10 {
11 "name": "createdAt",
12 "type": "string",
13 "format": "date-time",
14 "description": "Record creation timestamp",
15 "required": true,
16 "example": "2024-06-01T12:00:00Z"
17 },
18 {
19 "name": "isActive",
20 "type": "boolean",
21 "description": "Indicates if the user is active",
22 "required": false,
23 "example": true
24 }
25 ],
26 "sampledAt": "2024-06-10T15:45:00Z",
27 "sampledRecords": 50,
28 "totalRecords": 1200,
29 "type": "user"
30}
Discover available metadata fields for a record type by sampling records.
Was this page helpful?
Previous

Upload CSV records

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Query parameters

typestringRequired
samplestringOptional

Response

Schema field discovery result
fieldslist of any
sampledAtstring
sampledRecordsinteger
totalRecordsinteger
typestring

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error